Subject: RE: NetConf over SOAP normative reference issue

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 16 Mar 2005 14:02:30 -0800

Hi,

Andy - thanks for that direct link to the SOAP/1.1 and 
SOAP/1.2 differences list in the SOAP/1.2 Primer.

WG - please note that the bottom line is that a SOAP/1.1 
receiver will NOT interoperate with a SOAP/1.2 sender
(the serializations are different, key attributes are
renamed, etc.).

There may be an update planned for RFC 3288, but no I-D
has been posted, so it won't be timely for NetConf.

New dumb questions  Does NetConf even need BEEP?  
Why not use a WebDAV-like binding over HTTP/1.1?

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: Andy Bierman [mailto:[email-masked]]
Sent: Wednesday, March 16, 2005 1:56 PM
To: Ted Goddard
Cc: McDonald, Ira; 'Randy Presuhn'; [email-masked]
Subject: Re: NetConf over SOAP normative reference issue

Ted Goddard wrote:

>
> One of the original concerns about SOAP 1.2 was the lack of
> available implementations and the lack of compliance exhibited
> by SOAP 1.2 implementations.

I don't remember this being discussed by the WG

>
> It seems that SOAP 1.2 is now implemented widely enough to insist
> on it.  Are there any comments on the current implementation status
> of SOAP 1.2 vs SOAP 1.1?  (Is this even open to discussion, given
> the standards status of SOAP 1.2 vs SOAP 1.1?)

It's an issue that needs to be addressed. 
Here are the differences between SOAP 1.1 and 1.2:
http://www.w3.org/TR/2003/REC-soap12-part0-20030624/#L4697

Are there any differences that impact NETCONF?

It doesn't seem like we can remove reference [16] (RFC 3288)
without removing all of section 2.6.  Is there an update
planned for SOAP over BEEP? 

> Thanks,
> Ted.

Andy

>
> On 16-Mar-05, at 9:42 AM, McDonald, Ira wrote:
>
>> Hi,
>>
>> I'm agnostic about the use or non-use of BEEP in NetConf.
>>
>> But, yes I am urging you to change to SOAP/1.2 and NOT use
>> the SOAP/1.1 mapping over BEEP defined in RFC 3288.
>>
>> RFC 3288 slipped through the side door somehow and got published
>> without the IESG objecting to the RFC 3288 normative dependency
>> on the non-standards-track SOAP/1.1 W3C Note.
>>
>> The IESG (or at least Bert Wijnen) is now aware of this same
>> normative dependency (SOAP/1.1) in the NetConf over SOAP I-D.
>>
>> I submit this issue as a last call comment.
>>
>> Could someone please update the "Goals and Milestones" on the
>> IETF main page for NetConf WG, so that outsiders could tell
>> what's going on?
>>
>> Cheers,
>> - Ira
>>
>>
>> Ira McDonald (Musician / Software Architect)
>> Blue Roof Music / High North Inc
>> PO Box 221  Grand Marais, MI  49839
>> phone: +1-906-494-2434
>> email: [email-masked]
>>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On
>> Behalf Of Randy Presuhn
>> Sent: Tuesday, March 15, 2005 7:26 PM
>> To: [email-masked]
>> Subject: Re: NetConf over SOAP normative reference issue
>>
>>
>> Hi -
>>
>>> From: "Andy Bierman" <[email-masked]>
>>> To: "Randy Presuhn" <[email-masked]>
>>> Cc: <[email-masked]>; <[email-masked]>
>>> Sent: Tuesday, March 15, 2005 12:24 PM
>>> Subject: Re: NetConf over SOAP normative reference issue
>>
>> ...
>>
>>>> Are you suggesting we re-cast the document in terms of SOAP 1.2,
>>>> and drop the BEEP dependency?
>>>>
>>>>
>>> what do you mean "drop the BEEP dependency"?
>>
>>
>> Ira's note said there was a normative reference to RFC 3288.
>>
>> Randy
>>
>>>>> From: "McDonald, Ira" <[email-masked]>
>>>>> To: <[email-masked]>
>>>>> Sent: Tuesday, March 15, 2005 9:53 AM
>>>>> Subject: NetConf over SOAP normative reference issue
>>>>>
>>>>> Hi,
>>>>>
>>>>> [Bert Wijnen asked me to pass on this comment.]
>>>>>
>>>>> The latest NetConf over SOAP <draft-ietf-netconf-soap-04.txt>
>>>>> has a serious problem for advancement on the IETF "standards
>>>>> track", to whit, these two normative references:
>>>>>
>>>>>   [3]   Box, D., Ehnebuske, D., Kakivaya, G., Layman, A., Mendelsohn,
>>>>>         N., Nielsen, H., Thatte, S. and D. Winer, "Simple Object 
>>>>> Access
>>>>>         Protocol (SOAP) 1.1", W3C Note NOTE-SOAP-20000508, May 2000,
>>>>>         <http://www.w3.org/TR/2000/NOTE-SOAP-20000508>.
>>>>>
>>>>>   [16]  O'Tuathail, E. and M. Rose, "Using the Simple Object Access
>>>>>         Protocol (SOAP) in Blocks Extensible Exchange Protocol 
>>>>> (BEEP)",
>>>>>         RFC 3288, June 2002, <http://www.ietf.org/rfc/rfc3288.txt>.
>>>>
>> ...
>>
>>
>>
>> -- 
>> to unsubscribe send a message to [email-masked] with
>> the word 'unsubscribe' in a single line as the message text body.
>> archive: <http://ops.ietf.org/lists/netconf/>
>>
>> -- 
>> to unsubscribe send a message to [email-masked] with
>> the word 'unsubscribe' in a single line as the message text body.
>> archive: <http://ops.ietf.org/lists/netconf/>
>
>
>
>
> -- 
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/netconf/>
>
>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>

---

From: "Rob Enns" <[email-masked]>
Date: Wed, 16 Mar 2005 17:47:01 -0800

> Why not use a WebDAV-like binding over HTTP/1.1?

There was a fair bit of discussion about this. Definitely
lots of good reasons to do it either way. RFC 3205 discusses
some pros/cons of HTTP as a substrate, and much of the NETCONF
related discussion is captured in the WG minutes and 
mailing list archive. In the end the WG picked SSH as 
the mandatory to implement transport, but given the
interest in web services I expect to see NETCONF over
SOAP/HTTP implementations as well.

Rob

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 18 Mar 2005 23:44:20 +0100

FYI,
RFC3288 authors comments.

Bert

-----Original Message-----
From: Marshall Rose [mailto:[email-masked]]
Sent: Thursday, March 17, 2005 00:00
To: Wijnen, Bert (Bert)
Cc: [email-masked]'; Scott Hollenbeck (E-mail)
Subject: Re: NetConf over SOAP normative reference issue

On Mar 16, 2005, at 13:54, Wijnen, Bert (Bert) wrote:

> RFC3288 authors/editors, may I ask:
>
>  What is the opinion of the authors of RFC3288 on the below?
>
> Is it time to do another revision of the RFC and reference the
> new version of SOAP?

i think it would be fine to use 1.2 in both 3288bis and in netconf.

there appears to be sufficient market penetration of 1.2. it may be 
worthwhile to have some kind of version indicator somewhere so that we 
don't have someone running their mouths three years from now about not 
supporting 1.x

/mtr